<script setup lang="ts">
import { useBillCostStore } from '@/stores/billcost';
import BillCostTable from './BillCostTable.vue'

const billStore = useBillCostStore()
</script>

<template>
  <v-container>
    <v-row no-gutters>
      <v-row no-gutters style="padding-bottom: 20px">
        <v-col cols="12" md="5">
          <v-text-field
            v-model="billStore.search"
            density="compact"
            variant="solo"
            label="Search Bill Cost"
            append-inner-icon="mdi-magnify"
            single-line
            hide-details
            style="width: 200px"
          >
          </v-text-field>
        </v-col>

        <v-col cols="12" md="5" style="padding-top: 0px">
          <div>
            <v-btn
              prepend-icon="mdi-plus"
              style="margin-left: 550px; background-color: #47bb59; color: white"
              @click="billStore.openDialog"
              >BillCost Add</v-btn
            >
          </div>
        </v-col>
      </v-row>
      <v-sheet
        width="1250"
        height="482"
        style="background-color: #e7d0b9; border: rgb(112, 73, 31) solid 3px"
      >
        <BillCostTable />
      </v-sheet>
    </v-row>
  </v-container>
</template>

<style scoped></style>
